summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2022-08-02 22:43:03 -0400
committerbill-auger <mr.j.spam.me@gmail.com>2022-08-08 12:14:19 -0400
commitc87bf0d109feea94f1b2acc4f374c7abbdec37c3 (patch)
treea0b27a80d471bf6534296e235437507699d08da7
parente93fd4a48d2404163cbbc5cb56452c31da0f8169 (diff)
[parabola-keyring][your-freedom]: housekeeping
-rw-r--r--libre/parabola-keyring/PKGBUILD59
-rw-r--r--libre/your-freedom/PKGBUILD4
2 files changed, 38 insertions, 25 deletions
diff --git a/libre/parabola-keyring/PKGBUILD b/libre/parabola-keyring/PKGBUILD
index 60f65610e..5524e33a8 100644
--- a/libre/parabola-keyring/PKGBUILD
+++ b/libre/parabola-keyring/PKGBUILD
@@ -1,5 +1,5 @@
# SPDX-License-Identifier: CC0-1.0
-# Maintainer: Parabola automatic package builder <autobuilder@parabola.nu>
+# Maintainer: Parabola Hackers <dev@lists.parabola.nu>
# NOTE: This PKGBUILD does not need to be edited manually.
@@ -8,33 +8,45 @@
# eg: $ git commit --allow-empty --message=rebuild
# $ git push parabola master
# The autobuilder will modify this PKGBUILD,
-# replacing $pkgver, $_gitver, and the checksum (updpkgsums),
+# replacing $pkgver and $_gitver,
# build and publish the package,
# and commit the modified PKGBUILD to abslibre.
pkgname=parabola-keyring
pkgver=20220714
-_gitver=374d9b5b110ddfe715419b10caa4de2972aed162
+_gitver=374d9b5b110ddfe715419b10caa4de2972aed162
pkgrel=1
-pkgdesc='Parabola GNU/Linux-libre PGP keyring'
-arch=('any')
-url='https://git.parabola.nu/hackers.git/'
-license=('GPL')
-makedepends=(parabola-hackers git)
+pkgdesc="Parabola GNU/Linux-libre PGP keyring"
+arch=(any)
+url=https://wiki.parabola.nu/Parabola_Keyring
+license=(GPL)
+
+makedepends=(git parabola-hackers)
install=$pkgname.install
-source=("hackers-${_gitver}::git://git.parabola.nu/hackers.git#commit=${_gitver}")
+source=(hackers-${_gitver}::git://git.parabola.nu/hackers.git#commit=${_gitver})
+
sha512sums=('SKIP')
-prepare() {
- cd "$srcdir"
- mv {,.}hackers-$_gitver
- mkdir .cachedir
- export PARABOLA_HACKERS_YAMLDIR="$PWD/.hackers-$_gitver/users"
+prepare()
+{
+ # network check
+ # NOTE: this is the only parabola PKGBUILD, which requires internet access in the build chroot
+ # the pacman-make-keyring procedure was originally in a mksource() function,
+ # presumably for that reason; but that o/c removed the requirement only from users
+ # TODO: it would be great to re-implement this, so that it does not
+ # there is a WIP on the parabola-hackers.git 'wip-import-keys-from-hackers-git' branch
+ local net_check_url=https://repo.parabola.nu/check_network_status.txt
+ local net_err_msg="ERROR: this PKGBUILD requires internet access in the build chroot"
+ curl ${net_check_url} &> /dev/null || ! echo "${net_err_msg}" || return 1
+}
- local net_err_msg="ERROR: this PKGBUILD requires the build host to be connected to the internet"
- curl www.parabola.nu &> /dev/null || ! echo "${net_err_msg}" || return 1
+build()
+{
+ mv {,.}hackers-${_gitver}
+ mkdir .cachedir
+ export PARABOLA_HACKERS_YAMLDIR="${PWD}"/.hackers-${_gitver}/users
# NOTE: the current 'parabola-hackers' package does not yet recognize
# the 'keyserver' env-var - the keyserver is still hard-coded;
@@ -44,14 +56,15 @@ prepare() {
# TODO: remove this note, after 'parabola-hackers' has been rebuilt
# NOTE: the rebuilt 'parabola-hackers' is now in [libre-testing]
/usr/lib/parabola-hackers/pacman-make-keyring \
- V="$pkgver" \
- keyserver='hkp://pgp.cyberbits.eu:11371' \
- cachedir="$PWD/.cachedir"
+ V=${pkgver} \
+ keyserver=hkp://pgp.cyberbits.eu:11371 \
+ cachedir="${PWD}/.cachedir"
}
-package() {
- cd "$srcdir"
- bsdtar xf "$pkgname-$pkgver.tar.gz"
- cd "$srcdir/$pkgname-$pkgver"
+package()
+{
+ bsdtar xf ${pkgname}-${pkgver}.tar.gz
+ cd ${pkgname}-${pkgver}
+
make PREFIX=/usr DESTDIR="${pkgdir}" install
}
diff --git a/libre/your-freedom/PKGBUILD b/libre/your-freedom/PKGBUILD
index c8ae458cd..dbec24487 100644
--- a/libre/your-freedom/PKGBUILD
+++ b/libre/your-freedom/PKGBUILD
@@ -15,13 +15,13 @@ pkgname=your-freedom
pkgver=20220508
_gitver=c3a0d49f9f95503ed41feed32efbfd8b38401852
pkgrel=1
-pkgdesc="This package conflicts with every nonfree package known to date to ensure your system is free."
+pkgdesc="This meta-package conflicts with every known non-free Arch package, to ensure that your system is libre"
license=(GPL3)
url=https://wiki.parabola.nu/Blacklist
arch=(any)
-install=${pkgname}.install
makedepends=(librelib)
+install=${pkgname}.install
source=(blacklist-${_gitver}.txt::https://git.parabola.nu/blacklist.git/plain/blacklist.txt?id=${_gitver})
sha256sums=('53e27f1b6ef1042e2377a710b5faf8edfa4a63efeee082702dac15aa1cb1e550')